> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Expand Event V2 Field (Beta)

Returns a page of items for a particular expanded field in a specified event.

<Panel>
  <ResponseExample>
    ```json StealerLogCookies theme={null}
    {
        "items": [
            {
                "host_key": "example.com",
                "path": "/",
                "expires_utc": "2025-01-01T00:00:00",
                "name": "example",
                "value": "🍪"
            }
        ],
        "next": null
    }
    ```

    ```json StealerLogCredentials theme={null}
    {
        "items": [
            {
                "url": "https://example.com",
                "username": "john_doe",
                "password": "hunter2",
                "application": "application"
            }
        ],
        "next": null
    }
    ```
  </ResponseExample>
</Panel>

### Expandable fields

The following fields can be expanded for the given event type.

<Tabs>
  <Tab title="Stealer Log">`cookies` `credentials`</Tab>
</Tabs>


## OpenAPI

````yaml firework-v4-openapi get /firework/v4/events/_expand
openapi: 3.1.0
info:
  title: Firework API
  version: v4
servers:
  - url: https://api.flare.io
security:
  - BearerAuth: []
paths:
  /firework/v4/events/_expand:
    get:
      tags:
        - public
        - team=experience
      summary: Expand Event Field
      operationId: expand_event_field_events__expand_get
      parameters:
        - name: field
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/ExpandableField'
        - name: uid
          in: query
          required: true
          schema:
            type: string
            title: Uid
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 20
            exclusiveMinimum: 0
            title: Size
            default: 20
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: >-
                      #/components/schemas/PaginatedResults_StealerLogCredential_str_
                  - $ref: >-
                      #/components/schemas/PaginatedResults_StealerLogCookie_str_
                title: Response Expand Event Field Events  Expand Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExpandableField:
      type: string
      enum:
        - credentials
        - cookies
      title: ExpandableField
    PaginatedResults_StealerLogCredential_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/StealerLogCredential'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[StealerLogCredential, str]
    PaginatedResults_StealerLogCookie_str_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/StealerLogCookie'
          type: array
          title: Items
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - items
        - next
      title: PaginatedResults[StealerLogCookie, str]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StealerLogCredential:
      properties:
        url:
          type: string
          title: Url
        username:
          type: string
          title: Username
        password:
          type: string
          title: Password
        application:
          type: string
          title: Application
      type: object
      required:
        - url
        - username
        - password
        - application
      title: StealerLogCredential
    StealerLogCookie:
      properties:
        host_key:
          type: string
          title: Host Key
        path:
          type: string
          title: Path
        expires_utc:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expires Utc
        name:
          type: string
          title: Name
        value:
          type: string
          title: Value
      type: object
      required:
        - host_key
        - path
        - expires_utc
        - name
        - value
      title: StealerLogCookie
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````